from distutils.core import setup
from setuptools import find_packages

with open("README.md", "r") as f:
    long_description = f.read()

setup(name='cwseg',  # 包名
      version='0.0.3',  # 版本号
      description='An efficient and general package for Chinese word segmentation',
      long_description=long_description,
      author='SenseTime NLP',
      author_email='lidedong1@sensetime.com',
      url='https://gitlab.sz.sensetime.com/scg-nlp-research/cws/',
      install_requires=['numpy', 'tensorflow', 'bert4keras'],
      license='MIT License',
      packages=find_packages(),
      platforms=["all"],
      classifiers=[
          'Operating System :: OS Independent',
          'Programming Language :: Python :: 3',
          'Topic :: Software Development :: Libraries'
      ],
      )
