# CWSeg: 支持多领域多粒度的中文分词高效工具包

CWSeg 是基于论文[EMNLP'2022]的工具包，支持细分领域分词，多粒度分词。

## 主要亮点

## 编译和安装

- 通过PyPI安装

```shell
pip3 install -U cwseg
```

## 使用方式

```shell
>>> import cwseg
Using TensorFlow backend.
>>> seg = cwseg.cwseg()
load model: bert-base-2, version: 0
>>> seg.cut("北京清华大学", cut_mode='fine')
['北京', '清华', '大学']
>>> seg.cut("北京清华大学", cut_mode='coarse')
['北京清华大学']
>>> seg.cut("北京清华大学", cut_mode='search')
['北京', '清华', '大学', '北京清华大学']
>>>
```
